org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.serialization

## Interface SingleValuedReferenceInstance

All Superinterfaces:
  AbstractReferenceInstance

    public interface SingleValuedReferenceInstance
    extends AbstractReferenceInstance

A representation of the model object 'Single Valued Reference Instance'.

The following features are supported:

- `Referenced Element`

See Also:
  `SerializationPackage.getSingleValuedReferenceInstance()`
Generated:
Model:

### Method Summary

All Methods Instance Methods Abstract Methods
`EObject` `getReferencedElement()` Returns the value of the 'Referenced Element' reference.
`void` `setReferencedElement(EObject value)` Sets the value of the '`Referenced Element`' reference.

### Methods inherited from interface org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.serialization.AbstractReferenceInstance

`getEReference, setEReference`

### Method Detail

#### getReferencedElement

    EObject getReferencedElement()

Returns the value of the 'Referenced Element' reference.

If the meaning of the 'Referenced Element' reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Referenced Element' reference.
See Also:
  `setReferencedElement(EObject)`, `SerializationPackage.getSingleValuedReferenceInstance_ReferencedElement()`
Generated:
Model:

#### setReferencedElement

    void setReferencedElement(EObject value)

Sets the value of the '`Referenced Element`' reference.

Parameters:
  `value` - the new value of the 'Referenced Element' reference.
See Also:
  `getReferencedElement()`
Generated: